package com.utopiaindustries.qualitycontrol.viewmodels;

import android.net.Uri;

import java.util.ArrayList;
import java.util.List;

public class ItemModel {

    private int processId;
    private int stepId;
    private int rating;
    private String percentage;
    private String remarks;
    private int selectedOption;
    private byte[] imageByteArray;
    private List<byte[]> files;

    public ItemModel() {
    }

    public ItemModel(int processId, int stepId, int rating, String percentage, String remarks, int selectedOption, byte[] imageByteArray, List<byte[]> imageArrayList) {
        this.processId = processId;
        this.stepId = stepId;
        this.rating = rating;
        this.percentage = percentage;
        this.remarks = remarks;
        this.selectedOption = selectedOption;
        this.imageByteArray = imageByteArray;
        this.files = imageArrayList;
    }

    public int getProcessId() {
        return processId;
    }

    public void setProcessId(int processId) {
        this.processId = processId;
    }

    public int getStepId() {
        return stepId;
    }

    public void setStepId(int stepId) {
        this.stepId = stepId;
    }

    public String getPercentage() {
        return percentage;
    }

    public void setPercentage(String percentage) {
        this.percentage = percentage;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public int getSelectedOption() {
        return selectedOption;
    }

    public void setSelectedOption(int selectedOption) {
        this.selectedOption = selectedOption;
    }

    public int getRating() {
        return rating;
    }

    public void setRating(int rating) {
        this.rating = rating;
    }

    public byte[] getImageUri() {
        return imageByteArray;
    }

    public void setImageUri(byte[] imageUri) {
        this.imageByteArray = imageUri;
    }

    public List<byte[]> getImageArrayList() {
        return files;
    }

    public void setImageArrayList(List<byte[]> imageArrayList) {
        this.files = imageArrayList;
    }
}
